Subject: Re: bug#23957: [PATCH] Make fboundp an alias for symbol-function

From: Robert Cochran <[email-masked]>
Date: Tue, 12 Jul 2016 16:02:57 -0700

Drew Adams <[email-masked]> writes:

>> I'd personally argue that anyone making an explicit check for t, or
>> anything that particularly needs t rather than any true value is just
>> asking for lossage, but I can see why people would disagree with that
>> assertion.
>
> It doesn't matter what we might think of such a check.  The point
> is that such checks might exist, and there is really no good
> reason (that I can see) for breaking such code.  Again: anyone
> can already use `symbol-function' to get the desired effect, and
> its name speaks much better to the combined behavior desired in
> that case.
>> FWIW, In every placed I changed occurrences of fboundp to
>> symbol-function, both in Lisp and C, used only the truthiness
>> of the return rather than explicitly checking for t.
>
> That's irrelevant (IMO).  The code that GNU distributes with
> Emacs is but a small part of the Emacs-Lisp code that is out
> there.
>
>> I also ran the test suite with and without my patch applied,
>> and noticed no difference in the number of failing tests.
>
> Again - you were testing in the tiny GNU Emacs distributed-code
> sandbox.  The Emacs world is a much bigger box.

Fair enough. I was never going to cast a net big enough to hit
everything. I agree with Stefan that most functions will be behave fine
in the face of the change, but given his hesitation, I'm not going to
push it. You guys know better than I do.

>> Anyways, I'm willing to toss this patch and do something else
>> if that is the general consensus.
>
> I can't speak for the consensus, but that would be my hope.  And
> thanks for pitching in!  Sorry to seem so critical of a first foray
> into helping.

Nah, don't worry about. I was expecting /something/ to snag my
patch. You clearly expressed your concerns about my changes, and we were
able to discuss and be civil. Best I can ask for, really. In the end,
I'll end up doing a cleanup of some sort, even if all that is is
removing the FIXME.

I've been hearing about how there are less and less people that
understand the C core of Emacs, so I'm aiming to help by becoming one of
those people. Barring any extreme levels of inter-personal friction in
getting things accomplished, I'm hopefully just getting started with
this.

Thanks,
~Robert Cochran